#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int a,b,i; cin >> a >> b;
    i = 1;
    long long int novi=0;
    while(max(a,b) != 0){
        if(min(a,b) != 0){
            if(a%10 > b%10){
                novi += a%10 * i;
            }
            if(a%10 < b%10){
                novi += b%10 * i;
            }
            if(a%10 == b%10){
                novi += a%10 * i;
                i *= 10;
                novi += a%10 * i;
            }
        }
        else {
            if(a != 0) novi += a%10 * i;
            else novi += b%10 * i;
        }
    a = a/10;
    b = b/10;
    i *= 10;
    }
    cout << novi;
    return 0;
}